Bug 592741 - Update the master meta-data when SPM renewing its lease
Summary: Update the master meta-data when SPM renewing its lease
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: oVirt
Classification: Retired
Component: vdsm
Version: unspecified
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
: 3.3.4
Assignee: Ayal Baron
QA Contact:
URL:
Whiteboard: storage
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-16 15:56 UTC by lpeer
Modified: 2015-01-24 10:10 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-30 22:52:06 UTC
oVirt Team: ---


Attachments (Terms of Use)

Description lpeer 2010-05-16 15:56:23 UTC
Description of problem:

Today we can manually fence a host in RHEVM. What it actually does is clear the SPM last holder written in the master meta-data.
If a user is doing a manual fence on host which is not really down we get into a situation in which some host is maintaining the lease on the SPM on one hand but the storage meta-data does not indicate who is that host.

suggestion:
When a host renew the lease update the master meta-data and by that avoid a inconsistent state.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Ayal Baron 2010-05-17 06:36:32 UTC
Actually what should be is that the MD won't contain this information at all, only the lease itself.
When querying for this information, vdsm will obtain it by reading the lease.
This is the right way to do it, but it would require a major change in RHEVM though.

Comment 2 lpeer 2010-05-17 06:43:16 UTC
Why does it require a major change in RHEVM?

If SPMStatus will get the SPM information from the lease as you suggested instead of the MD it will be transparent to RHEVM. Or am i missing something?

Comment 3 Ayal Baron 2010-05-17 07:14:16 UTC
(In reply to comment #2)
> Why does it require a major change in RHEVM?
> 
> If SPMStatus will get the SPM information from the lease as you suggested
> instead of the MD it will be transparent to RHEVM. Or am i missing something?    

Because there won't be a way to "zero" out the values as there is today without REALLY scsi fencing the node.
This means that the logic in RHEVM will have to change in this regard.

Comment 4 lpeer 2010-05-17 08:02:20 UTC
IMO that's a good thing.
Actually what i understand from it is that RHEVM won't need to go to the storage for manual fencing at all.
All we have to do is reset the SPM internally.

Comment 5 Ayal Baron 2010-05-17 09:47:03 UTC
(In reply to comment #4)
> IMO that's a good thing.
> Actually what i understand from it is that RHEVM won't need to go to the
> storage for manual fencing at all.
> All we have to do is reset the SPM internally.    
That's not the right logic, but let's discuss this at length when we get to implementing this.

Comment 6 Itamar Heim 2013-01-30 22:52:06 UTC
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.


Note You need to log in before you can comment on or make changes to this bug.